net.minecraft.client.resources

## Class FileResourcePack

- java.lang.Object
- - net.minecraft.client.resources.AbstractResourcePack
  - - net.minecraft.client.resources.FileResourcePack

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, IResourcePack
  Direct Known Subclasses:
    FMLFileResourcePack

      public class FileResourcePack
      extends AbstractResourcePack
      implements java.io.Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.common.base.Splitter` | `entryNameSplitter`

    - ### Fields inherited from class net.minecraft.client.resources.AbstractResourcePack

      `resourcePackFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileResourcePack(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `finalize()`
    `protected java.io.InputStream` | `getInputStreamByName(java.lang.String par1Str)`
    `java.util.Set` | `getResourceDomains()`
    `boolean` | `hasResourceName(java.lang.String par1Str)`

    - ### Methods inherited from class net.minecraft.client.resources.AbstractResourcePack

      `getInputStream, getPackImage, getPackMetadata, getPackName, getRelativeName, logNameNotLowercase, resourceExists`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entryNameSplitter

          public static final com.google.common.base.Splitter entryNameSplitter

  - ### Constructor Detail

    - #### FileResourcePack

          public FileResourcePack(java.io.File par1File)

  - ### Method Detail

    - #### getInputStreamByName

          protected java.io.InputStream getInputStreamByName(java.lang.String par1Str)
                                                      throws java.io.IOException

      Specified by:
        `getInputStreamByName` in class `AbstractResourcePack`
      Throws:
        `java.io.IOException`

    - #### hasResourceName

          public boolean hasResourceName(java.lang.String par1Str)

      Specified by:
        `hasResourceName` in class `AbstractResourcePack`

    - #### getResourceDomains

          public java.util.Set getResourceDomains()

      Specified by:
        `getResourceDomains` in interface `IResourcePack`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`